# Uses of Class
jebl.evolution.align.scores.Scores

Packages that use Scores
Package
Description
jebl.evolution.align
Provides classes and interfaces for pairwise alignment of two sequences.
jebl.evolution.align.scores

## Uses of Scores in jebl.evolution.align

Methods in jebl.evolution.align that return Scores
Modifier and Type
Method
Description
`Scores`
BartonSternberg.`getEstimatedScores()`
Methods in jebl.evolution.align with parameters of type Scores
Modifier and Type
Method
Description
`static float`
ProfileCharacter.`score(ProfileCharacter character1, ProfileCharacter character2, Scores scores)`
`static float`
ProfileCharacter.`scoreSelf(ProfileCharacter character, Scores scores)`
`void`
Align.`setScores(Scores sub)`
Constructors in jebl.evolution.align with parameters of type Scores
Modifier
Constructor
Description
``
`Align(Scores sub, float d)`
``
`BartonSternberg(Scores scores, float gapOpen, float gapExtend, int refinementIterations, boolean freeGapsAtEnds, boolean fastGuide)`
``
`MaximalSegmentPair(Scores sub)`
``
`NeedlemanWunsch(Scores sub, float d)`
``
`NeedlemanWunschAffine(Scores sub, float d, float e)`
``
`NeedlemanWunschLinearSpace(Scores sub, float d)`
``
`NeedlemanWunschLinearSpaceAffine(Scores sub, float openGapPenalty, float extendGapPenalty)`
``
`NeedlemanWunschLinearSpaceAffine(Scores sub, float d, float e, boolean freeGapsAtEnds)`
``
`NeedlemanWunschLinearSpaceAffine(Scores sub, float d, float e, boolean freeGapsAtEnds, boolean applyGapExtendCostToFirstGapResidue)`
``
`NonOverlapMultipleLocalAffine(Scores sub, float d, float e, int T)`
``
`OldNeedlemanWunschAffine(Scores sub, float d, float e)`
``
`OverlapAlign(Scores sub, float d)`
``
`SmithWaterman(Scores sub, float d)`
``
`SmithWatermanLinearSpace(Scores sub, float d)`
``
`SmithWatermanLinearSpaceAffine(Scores sub, float d, float e)`

## Uses of Scores in jebl.evolution.align.scores

Subclasses of Scores in jebl.evolution.align.scores
Modifier and Type
Class
Description
`class`
`AminoAcidScores`
`class`
`Blosum45`
`class`
`Blosum50`
`class`
`Blosum55`
`class`
`Blosum60`
`class`
`Blosum62`
`class`
`Blosum65`
`class`
`Blosum70`
`class`
`Blosum75`
`class`
`Blosum80`
`class`
`Blosum85`
`class`
`Blosum90`
`class`
`Hamming`
`class`
`JukesCantor`
Jukes Cantor assumes equal substitution frequencies and equal nucleotide equilibrium frequencies.
`class`
`NucleotideScores`
`class`
`Pam100`
`class`
`Pam110`
`class`
`Pam120`
`class`
`Pam130`
`class`
`Pam140`
`class`
`Pam150`
`class`
`Pam160`
`class`
`Pam170`
`class`
`Pam180`
`class`
`Pam190`
`class`
`Pam200`
`class`
`Pam210`
`class`
`Pam220`
`class`
`Pam230`
`class`
`Pam240`
`class`
`Pam250`
`class`
`SubstScoreMatrix`
Methods in jebl.evolution.align.scores that return Scores
Modifier and Type
Method
Description
`static Scores`
Scores.`duplicate(Scores scores)`
`static Scores`
Scores.`forMatrix(ScoreMatrix scoreMatrix)`
`static Scores`
ScoresFactory.`generateScores(String nameVal)`
For any matrix.
`static Scores`
ScoresFactory.`generateScores(String name, float val)`
For calculated nucleotide matrices.
`static Scores`
ScoresFactory.`generateScores(String name, int val)`
For Blosum and Pam matrices
`static Scores`
Scores.`includeAdditionalCharacters(Scores scores, String characters)`
includes additional characters in the score matrix which will all have scored zero when compared to other characters.
`static Scores`
Scores.`includeGaps(Scores scores, float gapVersusResidueCost, float gapVersusGapCost)`
Methods in jebl.evolution.align.scores with parameters of type Scores
Modifier and Type
Method
Description
`static Scores`
Scores.`duplicate(Scores scores)`
`static Scores`
Scores.`includeAdditionalCharacters(Scores scores, String characters)`
includes additional characters in the score matrix which will all have scored zero when compared to other characters.
`static Scores`
Scores.`includeGaps(Scores scores, float gapVersusResidueCost, float gapVersusGapCost)`
Constructors in jebl.evolution.align.scores with parameters of type Scores
Modifier
Constructor
Description
``
`NucleotideScores(Scores scores, double percentmatches)`